package com.duiba.tuia.youtui.web.tool;

/**
 * 
 * ClassName: DomainConstantUtil <br/>
 * date: 2016年12月5日 下午7:43:31 <br/>
 *
 * @version 
 * @since JDK 1.6
 */
public class DomainConstantUtil {

	/*** app域名*/
	private static String appClient;
		
	private static String appEmbedClickUrl;
    /**
     * 活动域名
     */
    private static String youtuiDomain;

    /**
     * 盘古域名
     */
    private static String panguDomain;

	/**
	 * 盘古域名协议头
	 */
	private static String panguDomainProtocol;


	private DomainConstantUtil(){}

	public static String getPanguDomain() {
		return panguDomain;
	}

	public static void setPanguDomain(String panguDomain) {
		DomainConstantUtil.panguDomain = panguDomain;
	}

	public static String getYoutuiDomain() {
		return youtuiDomain;
	}

	public static void setYoutuiDomain(String youtuiDomain) {
		DomainConstantUtil.youtuiDomain = youtuiDomain;
	}

	public static String getAppClient() {
		return appClient;
	}

	public static void setAppClient(String appClient) {
		DomainConstantUtil.appClient = appClient;
	}

	public static String getAppEmbedClickUrl() {
		return appEmbedClickUrl;
	}

	public static void setAppEmbedClickUrl(String appEmbedClickUrl) {
		DomainConstantUtil.appEmbedClickUrl = appEmbedClickUrl;
	}

	public static String getPanguDomainProtocol() {
		return panguDomainProtocol;
	}

	public static void setPanguDomainProtocol(String panguDomainProtocol) {
		DomainConstantUtil.panguDomainProtocol = panguDomainProtocol;
	}

	public static String getPanguProtocolAndDomain(){
		return DomainConstantUtil.panguDomainProtocol+DomainConstantUtil.getPanguDomain();
	}
}
